You are not logged in.

#1 2016-09-03 10:20:18

xanb
Member
Registered: 2012-07-24
Posts: 414

[solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

Hi,

When I upgraded my system, pacman asked me to replace eudev-systemdcompat with openrc-eudev/eudev-systemd and openrc-eudev/libeudev-systemd. All is fine but upower-pm-utils breaks dependency 'eudev-systemdcompat'

What can I do?

Thanks,

Last edited by xanb (2016-09-12 11:59:55)


Owning one OpenRC (artoo way) and other three systemd machines

Offline

#2 2016-09-03 14:14:06

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 8,337

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

upower-pm-utils is no longer present in AUR, so can't check the pkgbuild.

It is present in the unofficial openrc repo on sourceforge, i'd suggest to contact them .


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#3 2016-09-03 22:03:28

xanb
Member
Registered: 2012-07-24
Posts: 414

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

Lone_Wolf, I contacted with nous, https://wiki.archlinux.org/index.php/Us … r-pm-utils, as you suggested.


Owning one OpenRC (artoo way) and other three systemd machines

Offline

#4 2016-09-04 17:05:46

nous
Member
From: Across the Universe
Registered: 2006-08-18
Posts: 323
Website

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

Ah, thanks for the heads up. The original upower-pm-utils maintainer has left Arch and the package had been unmaintained. For the time being you can -Sdd eudev-systemd and libeudev-systemd (I have). The name change was forced because [lib]eudev-systemdcompat were also left unmaintained on the AUR. It seems that the deletion requests were finally honoured.

I'll upload the new packages soon.

Offline

#5 2016-09-04 17:28:29

Alad
Wiki Admin/IRC Op/TU
From: Bagelstan
Registered: 2014-05-04
Posts: 2,094
Website

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks


Mods are just community members who have the occasionally necessary option to move threads around and edit posts. -- Trilby
Honest Alad's Package Emporium—Now with added bugs! (Grand reopening: December 1st 2018)

Offline

#6 2016-09-04 20:39:57

nous
Member
From: Across the Universe
Registered: 2006-08-18
Posts: 323
Website

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

Ok, I spoke with Chris (Cromer) and he's bringing [lib]eudev-systemd to the AUR; upower-pm-utils will retire - use extra/upower and pm-utils instead.

Offline

#7 2016-09-04 21:26:13

Alad
Wiki Admin/IRC Op/TU
From: Bagelstan
Registered: 2014-05-04
Posts: 2,094
Website

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

There's already libsystemd-standalone, which does the exact same thing (and has an active maintainer). That's why eudev-systemdcompat was removed from AUR in the first place.

Last edited by Alad (2016-09-04 21:40:43)


Mods are just community members who have the occasionally necessary option to move threads around and edit posts. -- Trilby
Honest Alad's Package Emporium—Now with added bugs! (Grand reopening: December 1st 2018)

Offline

#8 2016-09-05 12:29:00

xanb
Member
Registered: 2012-07-24
Posts: 414

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

Thanks a lot, all of you, for rapid answer. But so what can I do?
Nous said I have to run

pacman -Sdd

and that it? How can I manage that? For what packages I have to replace

upower-pm-utils

?

I use

[openrc-eudev]
#Server = http://downloads.sourceforge.net/project/mefiles/Manjaro/$repo/$arch
Server = http://downloads.sourceforge.net/project/archopenrc/$repo/$arch
Server = ftp://ftp.heanet.ie/mirrors/sourceforge/a/ar/archopenrc/$repo/$arch

for upgrading my machine

Last edited by xanb (2016-09-05 12:39:08)


Owning one OpenRC (artoo way) and other three systemd machines

Offline

#9 2016-09-05 12:40:11

xanb
Member
Registered: 2012-07-24
Posts: 414

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

nous wrote:

Ah, thanks for the heads up. The original upower-pm-utils maintainer has left Arch and the package had been unmaintained. For the time being you can -Sdd eudev-systemd and libeudev-systemd (I have). The name change was forced because [lib]eudev-systemdcompat were also left unmaintained on the AUR. It seems that the deletion requests were finally honoured.

I'll upload the new packages soon.

Is there here a mailing list of openrc anouncements? Could be useful to have one for users using openrc (apg or artoo)


Owning one OpenRC (artoo way) and other three systemd machines

Offline

#10 2016-09-05 12:45:37

xanb
Member
Registered: 2012-07-24
Posts: 414

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

For what packages I have to replace

upower-pm-utils

?

For upower-nosystemd? It is a little bit older (0.9.23-4 instead of 0.9.23-6 of upowe-pm-utils)


Owning one OpenRC (artoo way) and other three systemd machines

Offline

#11 2016-09-05 12:55:47

Alad
Wiki Admin/IRC Op/TU
From: Bagelstan
Registered: 2014-05-04
Posts: 2,094
Website

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

Please leave your questions in a single post, three separate posts makes things confusing.

As to those package conflicts, you have to ask the maintainers of that repository; none of the packages contained within are on the AUR.

https://sourceforge.net/projects/archop … rce=navbar


Mods are just community members who have the occasionally necessary option to move threads around and edit posts. -- Trilby
Honest Alad's Package Emporium—Now with added bugs! (Grand reopening: December 1st 2018)

Offline

#12 2016-09-06 15:42:14

xanb
Member
Registered: 2012-07-24
Posts: 414

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

Alad wrote:

Please leave your questions in a single post, three separate posts makes things confusing.

As to those package conflicts, you have to ask the maintainers of that repository; none of the packages contained within are on the AUR.

https://sourceforge.net/projects/archop … rce=navbar

Thanks, Alad, for the point.
I asked Aaditya to join this discussion. Just for soundness.


Owning one OpenRC (artoo way) and other three systemd machines

Offline

#13 2016-09-07 18:24:37

aaditya
Member
Registered: 2013-09-01
Posts: 174

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

Hi xan,

upower-pm-utils has been deprecated for a while now, you could try switching to newer upower

sudo pacman -S upower

recompile custom or AUR packages that depend on upower{-pm-utils} (if any), and see if it works as expected.

Offline

#14 2016-09-10 07:21:09

xanb
Member
Registered: 2012-07-24
Posts: 414

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

aaditya wrote:

Hi xan,

upower-pm-utils has been deprecated for a while now, you could try switching to newer upower

sudo pacman -S upower

recompile custom or AUR packages that depend on upower{-pm-utils} (if any), and see if it works as expected.

Some packages in your repo need it:

# pacman -S upower
resolving dependencies...
looking for conflicting packages...
:: upower and upower-pm-utils are in conflict. Remove upower-pm-utils? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: desktop-privileges: removing upower-pm-utils breaks dependency 'upower-pm-utils'
:: xfce4-power-manager-upower: removing upower-pm-utils breaks dependency 'upower=0.9.23'
:: xfce4-session-consolekit: removing upower-pm-utils breaks dependency 'upower=0.9.23'

Owning one OpenRC (artoo way) and other three systemd machines

Offline

#15 2016-09-12 10:04:29

xanb
Member
Registered: 2012-07-24
Posts: 414

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

I upgraded desktop-privileges, removed xfce4-power-manager-upower, installed xfce4-power-manager, removed xfce4-session-consolekit, installed upower (which removed upower-pm-utils). Now I can't login to X. I suspect that is xfce4-session-consolekit needed


Owning one OpenRC (artoo way) and other three systemd machines

Offline

#16 2016-09-12 11:59:25

xanb
Member
Registered: 2012-07-24
Posts: 414

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

xanb wrote:

I upgraded desktop-privileges, removed xfce4-power-manager-upower, installed xfce4-power-manager, removed xfce4-session-consolekit, installed upower (which removed upower-pm-utils). Now I can't login to X. I suspect that is xfce4-session-consolekit needed

Solved: Install xfce4-session (which replaces xfce4-session-consolekit)


Owning one OpenRC (artoo way) and other three systemd machines

Offline

#17 2016-10-03 20:26:10

somekool
Member
Registered: 2008-08-27
Posts: 24

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

anyone else had similar issue with plasma 5.7.5?

Offline

#18 2016-10-06 11:33:40

xanb
Member
Registered: 2012-07-24
Posts: 414

Re: [solved] [openrc] upower-pm-utils: removing eudev-systemdcompat breaks

somekool wrote:

anyone else had similar issue with plasma 5.7.5?

What's the problem (specific) in that case?


Owning one OpenRC (artoo way) and other three systemd machines

Offline

Board footer

Powered by FluxBB